Summary
Updates a compliance plan
Description
Updates a compliance plan that already exists
Route
PUT /configuration_manager/compliance_plans
Roles
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| planId | string | yes | Object ID of the Compliance Plan |
| options | object | no | Additional Options. |
{ "planId": "5c35355dbebaa82eaf8113f0", "options": { "description": "A compliance plan for firewall configs.", "name": "Firewall Policies", "nodes": [ { "treeId": "labore", "version": "laborum nulla sit ad Lorem", "nodeId": "fugiat", "devices": [ "xr9kv-atl", "xr9kv-atl", "xr9kv-atl" ], "deviceGroups": [ "5c35355dbebaa82eaf8113f0", "5c35355dbebaa82eaf8113f0", "5c35355dbebaa82eaf8113f0" ], "tasks": [ "5c35355dbebaa82eaf8113f0", "5c35355dbebaa82eaf8113f0" ] }, { "treeId": "dolor ex", "version": "qui", "nodeId": "enim sunt in dolor non", "devices": [ "xr9kv-atl", "xr9kv-atl", "xr9kv-atl", "xr9kv-atl", "xr9kv-atl" ], "deviceGroups": [ "5c35355dbebaa82eaf8113f0", "5c35355dbebaa82eaf8113f0", "5c35355dbebaa82eaf8113f0", "5c35355dbebaa82eaf8113f0", "5c35355dbebaa82eaf8113f0" ], "tasks": [ "5c35355dbebaa82eaf8113f0", "5c35355dbebaa82eaf8113f0", "5c35355dbebaa82eaf8113f0", "5c35355dbebaa82eaf8113f0", "5c35355dbebaa82eaf8113f0" ] }, { "treeId": "aute", "version": "sint ullamco eiusmod cupidatat do", "nodeId": "dolore dolor", "devices": [ "xr9kv-atl", "xr9kv-atl", "xr9kv-atl" ], "deviceGroups": [ "5c35355dbebaa82eaf8113f0", "5c35355dbebaa82eaf8113f0", "5c35355dbebaa82eaf8113f0" ], "tasks": [ "5c35355dbebaa82eaf8113f0", "5c35355dbebaa82eaf8113f0" ] }, { "treeId": "eiusmod", "version": "sint culpa", "nodeId": "adipisicing deserunt quis nisi ut", "devices": [ "xr9kv-atl" ], "deviceGroups": [ "5c35355dbebaa82eaf8113f0", "5c35355dbebaa82eaf8113f0", "5c35355dbebaa82eaf8113f0", "5c35355dbebaa82eaf8113f0" ], "tasks": [ "5c35355dbebaa82eaf8113f0", "5c35355dbebaa82eaf8113f0" ] }, { "treeId": "consectetur dolore dolor", "version": "sit qui", "nodeId": "pariatur nisi sit non cillum", "devices": [ "xr9kv-atl", "xr9kv-atl", "xr9kv-atl", "xr9kv-atl", "xr9kv-atl" ], "deviceGroups": [ "5c35355dbebaa82eaf8113f0", "5c35355dbebaa82eaf8113f0", "5c35355dbebaa82eaf8113f0", "5c35355dbebaa82eaf8113f0" ], "tasks": [ "5c35355dbebaa82eaf8113f0" ] } ], "gbac": { "read": [ "63696917c49ecc7b03b5f02b", "63696917c49ecc7b03b5f02b", "63696917c49ecc7b03b5f02b", "63696917c49ecc7b03b5f02b", "63696917c49ecc7b03b5f02b" ], "write": [ "63696917c49ecc7b03b5f02b", "63696917c49ecc7b03b5f02b", "63696917c49ecc7b03b5f02b", "63696917c49ecc7b03b5f02b" ] } } }
{ "type": "object", "properties": { "planId": { "title": "planId", "$ref": "common#/definitions/mongoObjectId" }, "options": { "title": "options", "type": "object", "properties": { "description": { "type": "string", "description": "Description of the compliance plan.", "examples": [ "A compliance plan for firewall configs." ] }, "name": { "type": "string", "description": "New name for the Compliance Plan", "examples": [ "Firewall Policies" ] }, "nodes": { "type": "array", "description": "Nodes to add into the compliance plan.", "items": { "type": "object", "properties": { "treeId": { "type": "string", "description": "The treeId of the GC that the node belongs to." }, "version": { "type": "string", "description": "The version of the GC tree that the node belongs to." }, "nodeId": { "type": "string", "description": "The configId of the node." }, "variables": { "type": "object", "example": "{ \"ipAddress\": \"1.2.3.4\" }" }, "devices": { "type": "array", "items": { "$ref": "deviceData#/definitions/deviceName" } }, "deviceGroups": { "type": "array", "items": { "$ref": "common#/definitions/mongoObjectId" } }, "tasks": { "type": "array", "items": { "$ref": "common#/definitions/mongoObjectId" } } } } }, "gbac": { "type": "object", "properties": { "read": { "type": "array", "items": { "type": "string", "examples": [ "63696917c49ecc7b03b5f02b" ] } }, "write": { "type": "array", "items": { "type": "string", "examples": [ "63696917c49ecc7b03b5f02b" ] } } } } } } }, "required": [ "planId" ], "additionalProperties": false }
Return
| Name | Type | Description |
|---|---|---|
| updateResult | object | - |
{ "status": "success", "message": "Compliance Plan updated" }
{ "title": "updateResult", "type": "object", "properties": { "status": { "type": "string", "const": "success" }, "message": { "type": "string", "examples": [ "Compliance Plan updated" ] } } }